import { r as registerInstance, e as createEvent, h } from './index-ee578edf.js';

const inputButtonCss = ":host{display:block;font-family:Roboto, serif}.button{font-family:Roboto, serif;width:108px;height:40px;background-color:#DFE6F1;border-radius:10px;color:#4465A0;border-style:none;font-weight:bold;display:flex;flex-direction:row;place-items:center;justify-content:center;justify-items:normal;cursor:pointer}.dark{background-color:#4C72B3;color:#D8E0EF}.hidden{display:none}.button-container{display:flex;flex-direction:row;margin-right:0.4rem}.svg{margin-right:5px}";

;
const InputButton = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.toggleReminderEmitter = createEvent(this, "toggleReminderEmitter", 7);
    this.icon = false;
  }
  componentWillRender() {
    this.isDark = this.dark;
    this.isIcon = this.icon;
    this.sizeOfButton = String(this.size);
  }
  toggleReminder() {
    this.toggleReminderEmitter.emit(true);
  }
  render() {
    return (h("div", { class: "button-container" }, h("button", { onClick: () => this.toggleReminder(), style: { width: this.sizeOfButton }, class: { 'button': true,
        'dark': this.isDark } }, h("svg", { class: { 'svg': true, 'hidden': !this.isIcon }, width: "14", height: "14", viewBox: "0 0 14 14", fill: "none", xmlns: "http://www.w3.org/2000/svg" }, h("path", { d: "M14 8H8V14H6V8H0V6H6V0H8V6H14V8Z", fill: "#F7F9FC" })), h("div", { class: "text-button" }, this.text))));
  }
};
InputButton.style = inputButtonCss;

export { InputButton as input_button };
